zdrot.f(3)

NAME
zdrot.f -

SYNOPSIS

  Functions/Subroutines
subroutine zdrot (N, CX, INCX, CY, INCY, C, S)
ZDROT

Function/Subroutine Documentation

  subroutine zdrot (integerN, complex*16, dimension( * )CX, integerINCX, complex*16, dimension( * )CY, integerINCY, double precisionC, double precisionS)

Purpose:

     Applies a plane rotation, where the cos and sin (c and s) are real
     and the vectors cx and cy are complex.
     jack dongarra, linpack, 3/11/78.

Parameters:
    N

              N is INTEGER
               On entry, N specifies the order of the vectors cx and cy.
               N must be at least zero.

    CX

              CX is COMPLEX*16 array, dimension at least
               ( 1 + ( N - 1 )*abs( INCX ) ).
               Before entry, the incremented array CX must contain the n
               element vector cx. On exit, CX is overwritten by the updated
               vector cx.

    INCX

              INCX is INTEGER
               On entry, INCX specifies the increment for the elements of
               CX. INCX must not be zero.

    CY

              CY is COMPLEX*16 array, dimension at least
               ( 1 + ( N - 1 )*abs( INCY ) ).
               Before entry, the incremented array CY must contain the n
               element vector cy. On exit, CY is overwritten by the updated
               vector cy.

    INCY

              INCY is INTEGER
               On entry, INCY specifies the increment for the elements of
               CY. INCY must not be zero.

    C

              C is DOUBLE PRECISION
               On entry, C specifies the cosine, cos.

    S

              S is DOUBLE PRECISION
               On entry, S specifies the sine, sin.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2011

Definition at line 99 of file zdrot.f.

Author

Generated automatically by Doxygen for BLAS from the source code.